Subject: Re: [PATCH v6 1/2] mac80211_hwsim: add PMSR capability support

From: Greg KH <[email-masked]>
Date: Mon, 30 Jan 2023 06:34:06 +0100

On Mon, Jan 30, 2023 at 12:48:37AM +0900, Jaewan Kim wrote:
> On Wed, Jan 25, 2023 at 12:55 AM Greg KH <[email-masked]> wrote:
> > > +static int parse_ftm_capa(const struct nlattr *ftm_capa,
> > > +                       struct cfg80211_pmsr_capabilities *out)
> > > +{
> > > +     struct nlattr *tb[NL80211_PMSR_FTM_CAPA_ATTR_MAX + 1];
> > > +     int ret = nla_parse_nested(tb, NL80211_PMSR_FTM_CAPA_ATTR_MAX,
> > > +                                ftm_capa, hwsim_ftm_capa_policy, NULL);
> > > +     if (ret) {
> > > +             pr_err("mac80211_hwsim: malformed FTM capability");
> >
> > dev_err()?
> 
> Is dev_err() the printing error for device code?

I am sorry, but I can not understand this question, can you rephrase it?

> If so, would it be better to propose another change for replacing all
> pr_err() with dev_err() in this file?

Odds are, yes, but that should be independent of your change to add a
new feature.

thanks,

greg k-h